🍰 配方(Recipes)

React

首先需要安装 React 相关的依赖。

博客

npm install --save react
npm install --save react-dom
npm install --save-dev parcel-bundler
npm install --save-dev babel-preset-env
npm install --save-dev babel-preset-react

或者如果你安装了 Yarn 包管理器

yarn add react
yarn add react-dom
yarn add --dev parcel-bundler
yarn add --dev babel-preset-env
yarn add --dev babel-preset-react

然后确保以下 Babel 预设存在。

 // .babelrc
{
  "presets": ["env", "react"]
}

package.json 中添加 start 命令

// package.json
"scripts": {
  "start": "parcel index.html"
}

Preact

首先需要安装 Preact 相关的依赖。

npm install --save preact
npm install --save preact-compat
npm install --save-dev parcel-bundler
npm install --save-dev babel-preset-env
npm install --save-dev babel-preset-preact

或者如果你安装了 Yarn 包管理器

yarn add preact
yarn add preact-compat
yarn add --dev parcel-bundler
yarn add --dev babel-preset-env
yarn add --dev babel-preset-preact

然后确保以下 Babel 预设存在.

// .babelrc
{
  "presets": ["env", "preact"]
}

package.json 中添加 start 命令

// package.json
"scripts": {
  "start": "parcel index.html"
}